Subject: Re: [PATCH] Stochastic Fair Blue queue discipline

From: Andi Kleen <[email-masked]>
Date: Wed, 9 Apr 2008 19:49:54 +0200

> Random32 is initialised from get_random_bytes; so the per-cpu
> pseudo-random sequences should be uncorrelated.  I fail to see how an
> arbitrary interleaving of uncorrelated good pseudo-random sequences
> can fail to be good.

They are not necessarily uncorreleated, especially on platforms
which do have poor entropy support and when your initialization happens
at boot time. Take a look at how the random pool starts in random.c.

> 
> Looking at line 448 of sch_sfq.c in Linus' current HEAD, I see that
> somebody else thinks the same as I do.  So please let me know if sfq
> needs fixed, or whether I can use net_random in sfb.

A lot of people get this wrong, but this doesn't mean that the
problem should be readded in new code again.

-Andi